Skip to main content
GET
/
2026-01
/
marketing-solutions
/
creatives
/
{id}
/2026-01/marketing-solutions/creatives/{id}
curl --request GET \
  --url https://api.criteo.com/2026-01/marketing-solutions/creatives/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.criteo.com/2026-01/marketing-solutions/creatives/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.criteo.com/2026-01/marketing-solutions/creatives/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "advertiserId": "<string>",
      "author": "<string>",
      "name": "<string>",
      "status": "<string>",
      "adaptiveAttributes": {
        "callsToAction": [
          "<string>"
        ],
        "colors": {
          "backgroundColor": "<string>",
          "ctaBackgroundColor": "<string>",
          "ctaTextColor": "<string>",
          "logoAreaAndTitleColor": "<string>",
          "text1Color": "<string>",
          "text2Color": "<string>"
        },
        "descriptionFont": "<string>",
        "descriptionText": "<string>",
        "headlineFont": "<string>",
        "headlineText": "<string>",
        "landingPageUrl": "<string>",
        "layouts": [],
        "logos": [
          {
            "url": "<string>"
          }
        ],
        "imageSets": [
          {
            "images": [
              {
                "url": "<string>"
              }
            ],
            "headlineText": "<string>"
          }
        ],
        "videos": [
          {
            "duration": 123,
            "url": "<string>"
          }
        ]
      },
      "datasetId": "<string>",
      "description": "<string>",
      "dynamicAttributes": {
        "bodyTextColor": "<string>",
        "callsToAction": [
          "<string>"
        ],
        "creativeBackgroundColor": "<string>",
        "logos": [
          {
            "url": "<string>"
          }
        ],
        "pricesColor": "<string>",
        "primaryFont": "<string>"
      },
      "format": "<string>",
      "htmlTagAttributes": {
        "tags": [
          {
            "htmlTag": "<string>",
            "size": {
              "height": 123,
              "width": 123
            }
          }
        ]
      },
      "id": "<string>",
      "imageAttributes": {
        "landingPageUrl": "<string>",
        "urls": [
          "<string>"
        ]
      }
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

The creative identifier to retrieve.

Response

200 - application/json

The found creative is returned.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object | null

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only